Package Details: ocaml-lwt 5.4.0-1

Git Clone URL: https://aur.archlinux.org/ocaml-lwt.git (read-only, click to copy)
Package Base: ocaml-lwt
Description: A library for cooperative threads in OCaml
Upstream URL: https://github.com/ocsigen/lwt
Keywords: concurrent coop cooperative event io library ocaml promise promises threads
Licenses: MIT
Submitter: SerP
Maintainer: dpeukert
Last Packager: dpeukert
Votes: 14
Popularity: 0.000000
First Submitted: 2010-07-22 14:30
Last Updated: 2021-03-07 11:35

Pinned Comments

dpeukert commented on 2020-04-09 22:09

The PKGBUILD for this package is hosted here (contributions are welcome!): https://gitlab.com/dpeukert/pkgbuilds/tree/main/ocaml-lwt

Latest Comments

1 2 3 4 5 Next › Last »

haawda commented on 2021-02-25 16:23

In version 5.4 thich package needs ocaml-ppxlib now.

dpeukert commented on 2020-10-30 17:03

@Tio: I wasn't able to reproduce this, can you post the entire build log if possible? Thanks

Tio commented on 2020-10-25 12:09

Error:

Running[136]: (cd _build/default && /usr/bin/ocamlopt.opt -g -o .ppx/bcab0be011c28261c514e69f4fe141f8/ppx.exe -w -24 -I /usr/lib/ocaml/compiler-libs -I /usr/lib/ocaml/ocaml-migrate-parsetree -I /usr/lib/ocaml/ppx_derivers -I /usr/lib/ocaml/ppx_tools_versioned -I /usr/lib/ocaml/result -I src/ppx -I src/ppx/.ppx_lwt.objs/byte -I src/ppx/.ppx_lwt.objs/native /usr/lib/ocaml/compiler-libs/ocamlcommon.cmxa /usr/lib/ocaml/result/result.cmxa /usr/lib/ocaml/ppx_derivers/ppx_derivers.cmxa /usr/lib/ocaml/ocaml-migrate-parsetree/migrate_parsetree.cmxa /usr/lib/ocaml/ppx_tools_versioned/ppx_tools_versioned.cmxa src/ppx/ppx_lwt.cmxa .ppx/bcab0be011c28261c514e69f4fe141f8/_ppx.ml)
Running[137]: (cd _build/default && /usr/bin/ocamlopt.opt -w -40 -w +A-4 -g -shared -linkall -I src/ppx -o src/ppx/ppx_lwt.cmxs src/ppx/ppx_lwt.cmxa)
==> ERROR: A failure occurred in build().
    Aborting...

dualhammers commented on 2020-08-25 22:31

@dpeukert Logging in to confirm that reinstalling ocaml-react did solve my issue. Was surprised to realize the Pacman does not seem to update packages in order of dependency automatically (ocaml-react was flagged for update but it wasn't being updated first).

dpeukert commented on 2020-06-21 07:48

@dualhammers Reinstalling ocaml-react should fix that.

dualhammers commented on 2020-06-20 19:10

Getting a build error trying to update

Command [98] exited with code 2: $ (cd _build/default && /usr/bin/ocamlc.opt -w -40 -w +A -g -bin-annot -I src/react/.lwt_react.objs/byte -I /usr/lib/ocaml/bytes -I /usr/lib/ocaml/react -I /usr/lib/ocaml/result -I /usr/lib/ocaml/seq -I src/core/.lwt.objs/byte -I src/core/.lwt.objs/native -no-alias-deps -o src/react/.lwt_react.objs/byte/lwt_react.cmi -c -intf src/react/lwt_react.mli) File "src/react/lwt_react.mli", line 1: Error: /usr/lib/ocaml/react/react.cmi is not a compiled interface for this version of OCaml. It seems to be for an older version of OCaml.

dpeukert commented on 2020-06-05 08:22

@oriba @crave @pha-qu I have no idea why that test breaks for some and works absolutely fine for others, but I've removed it for now.

oriba commented on 2020-06-04 21:26

Build-error:

Testing library 'unix'... .................................SSS...............................................................................................................................................................F................... Test 'mcast-join-loop' in suite 'unix_mcast' produced 'false' ==> ERROR: A failure occurred in check(). Aborting...

crave commented on 2020-05-29 19:44

Unfortunately I'm getting a build error for this package:

Running[103]: (cd _build/default/test/core && ./main.exe)

Output[103]:

Testing library 'core'...

...............................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................SSSSSSSSSSSSSSSSSSSSSSS................................................................................................................

Ok. 639 tests ran, 23 tests skipped in 0.01 seconds

Output[94]:

Testing library 'ppx'...

................

Ok. 16 tests ran, 0 tests skipped in 1.20 seconds

Output[99]:

Testing library 'react'...

...........

Ok. 11 tests ran, 0 tests skipped in 4.51 seconds

Command [100] exited with code 1:

$ (cd _build/default/test/unix && ./main.exe)

Testing library 'unix'...

.................................SSS...............................................................................................................................................................F...................

Test 'mcast-join-loop' in suite 'unix_mcast' produced 'false'

==> ERROR: A failure occurred in check().

Aborting...

Error making: ocaml-lwt

muddy79 commented on 2020-05-24 16:56

@zxcv I have had the same issue, for me re-installing ocaml-react package solved it.